i2o_block_request_fn
Prev | I2O message devices | Next

## Name

i2o_block_request_fn — request queue handling function

## Synopsis

`void i2o_block_request_fn (` | struct request_queue * | q`)`;

## Arguments

`q`

  request queue from which the request could be fetched

## Description

Takes the next request from the queue, transfers it and if no error occurs dequeue it from the queue. On arrival of the reply the message will be processed further. If an error occurs requeue the request.

Prev | Up | Next
i2o_block_transfer | Home | i2o_block_device_alloc